@media(max-width:1200px){

    .hero-grid{
        grid-template-columns:1fr;
        text-align:center;
    }

    .hero-content p{
        margin:auto;
    }

    .hero-buttons{
        justify-content:center;
    }

    .hero-features{
        justify-content:center;
    }

    .features-grid{
        grid-template-columns:repeat(2,1fr);
    }

    .stats-grid{
        grid-template-columns:repeat(2,1fr);
    }

    .journey-grid{
        grid-template-columns:repeat(2,1fr);
    }

}

@media(max-width:768px){

    .main-nav{
        display:none;
    }

    .header-buttons{
        display:none;
    }

    .hero-content h1{
        font-size:2.5rem;
    }

    .features-grid{
        grid-template-columns:1fr;
    }

    .stats-grid{
        grid-template-columns:1fr;
    }

    .journey-grid{
        grid-template-columns:1fr;
    }

    .announcement-bar .container{

        flex-direction:column;

        gap:10px;

        text-align:center;
    }

}



@media(max-width:992px){

.subjects-grid{

grid-template-columns:1fr;

}

}


@media(max-width:992px){

.scholarship-grid{

grid-template-columns:1fr;

}

}


@media(max-width:992px){

.ranking-levels{

grid-template-columns:1fr;

}

}


@media(max-width:992px){

.career-flow{

flex-direction:column;

}

.career-arrow{

transform:rotate(90deg);

}

}


@media(max-width:992px){

.schools-grid{

grid-template-columns:1fr;

}

}


@media(max-width:992px){

.testimonial-grid{

grid-template-columns:1fr;

}

}


@media(max-width:992px){

.demo-grid{

grid-template-columns:1fr;

}

}